Library Version 18.1.40

DbEnv::get_backup_config()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_backup_config()

    #include <db_cxx.h>

    DB_ENV->get_backup_config(DB_BACKUP_CONFIG option, u_int32_t *valuep);

The `DbEnv::get_backup_config()` method retrieves the value set for hot backup tuning parameters. See the DbEnv::backup() and DbEnv::dbbackup() methods for a description of the hot backup APIs. These tuning parameters can be set using the DbEnv::set_backup_config() method.

The `DbEnv::get_backup_config()` method may be called at any time during the life of the application.

The `DbEnv::get_backup_config()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### option

The option parameter identifies the backup parameter to be retrieved. It must be one of the following:

- `DB_BACKUP_WRITE_DIRECT`

  Turning this on causes direct I/O to be used when writing pages to the disk.

- `DB_BACKUP_READ_COUNT`

  Configures the number of pages to read before pausing.

- `DB_BACKUP_READ_SLEEP`

  Configures the number of microseconds to sleep between batches of reads.

- `DB_BACKUP_SIZE`

  Configures the size of the buffer, in megabytes, to read from the database.

#### valuep

The valuep parameter references memory into which is copied the current value of the backup tuning parameter identified by the option parameter.

### Class

DbEnv,

### See Also

Database Environments and Related Methods, DbEnv::set_backup_config() , DbEnv::backup() , DbEnv::dbbackup()

Prev | Up | Next
DbEnv::get_backup_callbacks() | Home | DbEnv::get_flags()